.kanban-component {
  display: flex;
  justify-content: center;
  padding: 40px 20px;

  & .kanban-column {
    border: 1px solid var(--colorBorder);
    min-height: 300px;
    background-color: var(--colorLight);
    width: auto;
    flex: 1;
    margin-right: 40px;
    position: relative;
    border-radius: 5px;
    padding: 12px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &:last-child {
      margin-right: 0;

      &::before {
        display: none;
      }
    }

    &::before {
      content: "";
      width: 16px;
      height: 16px;
      display: block;
      position: absolute;
      right: -30px;
      top: calc(50% - 8px);
      background: url("../../static/img/arrow_right.svg") no-repeat;
    }

    &--title {
      font-size: 15px;
    }

    &--tasks {
      margin: 16px 0;
    }

    &--empty {
      text-align: center;
    }

    &--add-btn {
      text-align: center;
    }
  }

  & .is-over {
    background: var(--colorColumnBgHover);
    border-style: dashed;
  }
}
